l1sap.h File Reference
`#include <osmocom/core/prim.h>`

Go to the source code of this file.

## Data Structures

struct | ph_rach_req_param
| for PH-RANDOM_ACCESS.req More...
struct | ph_rach_ind_param
| for PH-RANDOM_ACCESS.ind More...
struct | ph_data_param
| for PH-[UNIT]DATA. More...
struct | ph_tch_param
| for TCH. More...
struct | ph_conn_ind_param
| for PH-CONN.ind More...
struct | info_time_ind_param
| for TIME MPH-INFO.ind More...
struct | info_meas_ind_param
| for MEAS MPH-INFO.ind More...
struct | info_act_req_param
| for {ACTIVATE,DEACTIVATE,MODIFY} MPH-INFO.req More...
struct | info_act_cnf_param
| for {ACTIVATE,DEACTIVATE} MPH-INFO.cnf More...
struct | info_ciph_req_param
| for {ACTIVATE,DEACTIVATE} MPH-INFO. More...
struct | mph_info_param
| for MPH-INFO.ind More...
struct | osmo_phsap_prim
| primitive header for PH-SAP primitives More...

## Enumerations

enum | osmo_ph_prim { PRIM_PH_DATA, PRIM_PH_RACH, PRIM_PH_CONN, PRIM_PH_EMPTY_FRAME, PRIM_PH_RTS, PRIM_MPH_INFO, PRIM_TCH, PRIM_TCH_RTS }
| PH-SAP related primitives (L1<->L2 SAP) More...
enum | osmo_mph_info_type { PRIM_INFO_TIME, PRIM_INFO_MEAS, PRIM_INFO_ACTIVATE, PRIM_INFO_DEACTIVATE, PRIM_INFO_MODIFY, PRIM_INFO_ACT_CIPH, PRIM_INFO_DEACT_CIPH }
| PH-SAP related primitives (L1<->L2 SAP) More...
enum | osmo_ph_pres_info_type { PRES_INFO_INVALID = 0, PRES_INFO_HEADER = 1, PRES_INFO_FIRST = 3, PRES_INFO_SECOND = 5, PRES_INFO_BOTH = 7, PRES_INFO_UNKNOWN }
| PH-DATA presence information. More...
enum | ph_burst_type { GSM_L1_BURST_TYPE_NONE = 0, GSM_L1_BURST_TYPE_ACCESS_0, GSM_L1_BURST_TYPE_ACCESS_1, GSM_L1_BURST_TYPE_ACCESS_2 }
| for PH_RA_IND burstType inforamtion More...

## Variables

const struct value_string | osmo_ph_prim_names []

## Enumeration Type Documentation

## osmo_mph_info_type

enum osmo_mph_info_type

PH-SAP related primitives (L1<->L2 SAP)

Enumerator
PRIM_INFO_TIME | Current GSM time.
PRIM_INFO_MEAS | Measurement indication.
PRIM_INFO_ACTIVATE | Activation of channel.
PRIM_INFO_DEACTIVATE | Deactivation of channel.
PRIM_INFO_MODIFY | Mode Modify of channel.
PRIM_INFO_ACT_CIPH | Activation of ciphering.
PRIM_INFO_DEACT_CIPH | Deactivation of ciphering.

## osmo_ph_pres_info_type

enum osmo_ph_pres_info_type

PH-DATA presence information.

Enumerator
PRES_INFO_INVALID | Data is invalid.
PRES_INFO_HEADER | Only header is present and valid.
PRES_INFO_FIRST | First half of data + header are valid (2nd half may be present but invalid)
PRES_INFO_SECOND | Second half of data + header are valid (1st halfmay be present but invalid)
PRES_INFO_BOTH | Both parts + header are present and valid.
PRES_INFO_UNKNOWN |

## osmo_ph_prim

enum osmo_ph_prim

PH-SAP related primitives (L1<->L2 SAP)

Enumerator
PRIM_PH_DATA | PH-DATA.
PRIM_PH_RACH | PH-RANDOM_ACCESS.
PRIM_PH_CONN | PH-CONNECT.
PRIM_PH_EMPTY_FRAME | PH-EMPTY_FRAME.
PRIM_PH_RTS | PH-RTS.
PRIM_MPH_INFO | MPH-INFO.
PRIM_TCH | TCH.
PRIM_TCH_RTS | TCH.

## ph_burst_type

enum ph_burst_type

for PH_RA_IND burstType inforamtion

Enumerator
GSM_L1_BURST_TYPE_NONE |
GSM_L1_BURST_TYPE_ACCESS_0 |
GSM_L1_BURST_TYPE_ACCESS_1 |
GSM_L1_BURST_TYPE_ACCESS_2 |